namespace JiaZhiQuan.Common
{
    public static partial class CacheKeys
    {

        public const int QTRecentTradeDaysCacheSecs = 24 * 60 * 60;

        public static string QTRecentTradeDaysBefore7(string date)
        {
            return GenerateKey("qt_recent_tradedays_before7:"  + date);
        }

        public static string QTRecentTradeDaysRound3(string date)
        {
            return GenerateKey("qt_recent_tradedays_round3:" + date);
        }

        public const int QTRealtimeSingleCacheSecs = 1;

        public static string QTRealtimeSingle(string code)
        {
            return GenerateKey("qt_realtime_single:" + code);
        }

        public const int QTSuspensionDataListCacheSecs = 24 * 60 * 60;

        public static string QTSuspensionDataList(string date)
        {
            return GenerateKey("qt_suspensions:" + date);
        }
    }
}
